#pragma once

#include "CoreMinimal.h"
#include "ChallengeSetViewData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeSetViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString TabTitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString HeaderTitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString HeaderSubtitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient)
	FString EventFrameLabel;

public:
	DBDUIVIEWINTERFACES_API FChallengeSetViewData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeSetViewData) { return 0; }
